<?xml version="1.0" encoding="UTF-8"?>
<jsp:root xmlns:jsp="http://java.sun.com/JSP/Page"
		  xmlns:c="http://java.sun.com/jsp/jstl/core"
		  xmlns:fmt="http://java.sun.com/jsp/jstl/fmt"
		  xmlns:fn="http://java.sun.com/jsp/jstl/functions"
		  xmlns:nk="urn:jsptagdir:/WEB-INF/tags/nekurak"
		  xmlns:nkfn="/WEB-INF/nekurakFunkce"
		  version="2.0">

	<jsp:useBean id="uvod" class="cz.frantovo.nekurak.web.Uvod" scope="request"/>
	<jsp:setProperty name="uvod" property="kategorie"/>
	<jsp:setProperty name="uvod" property="kurackost"/>

	<nk:stranka>

		<p>
			<c:choose>
				<!-- TODO: předělat, lepší filtrování, více podmínek současně -->
				<c:when test="${uvod.kategorie != null &amp;&amp; uvod.kurackost == null}">
					<fmt:message key="uvod.podnikyKategorie"/>:
					<fmt:message key="dto.kategorie.${uvod.kategorie}.nazev"/>.
				</c:when>
				<c:when test="${uvod.kategorie == null &amp;&amp; uvod.kurackost != null}">
					<fmt:message key="uvod.podnikyKategorie"/>:
					<fmt:message key="dto.podnik.kurackost.${uvod.kurackost}.nazev"/>.
				</c:when>
				<c:otherwise>
					<fmt:message key="uvod.naposledyPridanePodniky"/>:
				</c:otherwise>
			</c:choose>

		</p>

		<c:forEach var="p" items="${uvod.podniky}">
			<nk:podnikZahlavi podnik="${p}" detailPodniku="false"/>
		</c:forEach>

		<!-- konec obtékaných bloků -->
		<div class="cistic"></div>

	</nk:stranka>

</jsp:root>
